/* 最小宽度为1200px的时候 */
@media screen and (min-width:1200px) {
    .my-client{
        height: auto;
        padding-top: 40px;
        background-image: url("../images/index-7.png");
    }

    .my-client-title {
        position: relative;
        text-align: center;
        margin-bottom: 40px;
    }

    .my-client-title h2 {
        position: relative;
        z-index: 2;
        font-size: 36px;
        color: #ffffff;
    }

    .my-client-title .my-client-title-bgc {
        position: absolute;
        top: 94%;
        left: 50%;
        transform: translate(-50%, -50%);
        z-index: 1;
        height: 10px;
        width: 150px;
        border-radius: 10px;
        background-color: var(--primary-color);
    }

    .my-client-content {
        display: flex;
        width: 100%;
        padding: 0 10%;
    }

    .my-client-content ul{
        display: flex;
        justify-content: space-between;
        width: 100%;
    }
    .my-client-content ul li,
    .my-client-content ul li a{
        display: block;
        text-align: center;
        width: 100%;
        height: 100%;
        text-decoration: none; 
        color: #0e0e0e;
        border-radius: 4%;
        background-color: #b5e9fd;
    }
    .my-client-content ul li a{
       padding-bottom: 10px;
    }
    .my-client-content ul li {
        width: 32%;
    }
    .my-client-content ul li:hover a {
        background-color: #1ab8f2;
        color: #ffffff;
    }
    .my-client-content ul li a img {
        width: 100%;
        height: auto;
        border-radius: 4% 4% 0 0;
    }

    .my-client-content ul li a h4 {
        height: 40px;
        line-height: 40px;
        font-size: 20px;
        margin: 6px 0;
    }
    .my-client-content ul li a p {
        padding: 0 20px;
        font-size: 16px;
        max-height: 3em; 
        line-height: 40px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .client-evem {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 120px;
    }

    .client-evem a {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 120px;
        height: 50px;
        text-align: center;
        border-radius: 10px;
        text-decoration: none;
        color: #000000;
        background-color: #ffffff;
    }
    .client-evem a:hover {
        color:  var(--primary-color);
    }

}






@media screen and (min-width:950px) and (max-width:1200px) {
    .my-client{
        height: auto;
        padding-top: 30px;
        background-image: url("../images/index-7.png");
    }

    .my-client-title {
        position: relative;
        text-align: center;
        margin-bottom: 40px;
    }

    .my-client-title h2 {
        position: relative;
        z-index: 2;
        font-size: 28px;
        color: #ffffff;
    }

    .my-client-title .my-client-title-bgc {
        position: absolute;
        top: 94%;
        left: 50%;
        transform: translate(-50%, -50%);
        z-index: 1;
        height: 10px;
        width: 140px;
        border-radius: 10px;
        background-color: var(--primary-color);
    }

    .my-client-content {
        display: flex;
        width: 100%;
        padding: 0 6%;
    }

    .my-client-content ul{
        display: flex;
        justify-content: space-between;
        width: 100%;
    }
    .my-client-content ul li,
    .my-client-content ul li a{
        display: block;
        text-align: center;
        width: 100%;
        height: 100%;
        text-decoration: none; 
        color: #0e0e0e;
        border-radius: 4%;
        background-color: #b5e9fd;
    }
    .my-client-content ul li a{
        padding-bottom: 10px;
     }
    .my-client-content ul li {
        width: 32%;
    }
    .my-client-content ul li:hover a {
        background-color: #1ab8f2;
        color: #ffffff;
    }
    .my-client-content ul li a img {
        width: 100%;
        height: auto;
        border-radius: 4% 4% 0 0;
    }

    .my-client-content ul li a h4 {
        height: 40px;
        line-height: 40px;
        font-size: 20px;
        margin: 6px 0;
    }
    .my-client-content ul li a p {
        padding: 0 20px;
        font-size: 16px;
        max-height: 3em; 
        line-height: 40px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .client-evem {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 120px;
    }

    .client-evem a {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 120px;
        height: 50px;
        text-align: center;
        border-radius: 10px;
        text-decoration: none;
        color: #000000;
        background-color: #ffffff;
    }
    .client-evem a:hover {
        color:  var(--primary-color);
    }
}









@media screen and (max-width:950px) {
    .my-client{
        height: auto;
        padding-top: 20px;
        background-image: url("../images/index-7.png");
    }

    .my-client-title {
        position: relative;
        text-align: center;
        margin-bottom: 40px;
    }

    .my-client-title h2 {
        position: relative;
        z-index: 2;
        font-size: 26px;
        color: #ffffff;
    }

    .my-client-title .my-client-title-bgc {
        position: absolute;
        top: 90%;
        left: 50%;
        transform: translate(-50%, -50%);
        z-index: 1;
        height: 8px;
        width: 130px;
        border-radius: 10px;
        background-color: var(--primary-color);
    }

    .my-client-content {
        /* display: flex; */
        width: 100%;
    }

    .my-client-content ul{
        /* display: flex;
        justify-content: space-between; */
        width: 100%;
        margin: 0 auto;
    }
    .my-client-content ul li,
    .my-client-content ul li a{
        display: block;
        text-align: center;
        width: 100%;
        height: 100%;
        text-decoration: none; 
        color: #0e0e0e;
        border-radius: 4%;
        background-color: #b5e9fd;
    }
    .my-client-content ul li a{
        padding-bottom: 10px;
     }
    .my-client-content ul li {
        margin: 0 auto;
        margin-bottom: 20px;
        width: 90%;
    }
    .my-client-content ul li:hover a {
        background-color: #1ab8f2;
        color: #ffffff;
    }
    .my-client-content ul li a img {
        width: 100%;
        height: auto;
        border-radius: 4% 4% 0 0;
    }

    .my-client-content ul li a h4 {
        height: 40px;
        line-height: 40px;
        font-size: 20px;
        margin: 6px 0;
    }
    .my-client-content ul li a p {
        padding: 0 20px;
        font-size: 16px;
        max-height: 3em; 
        line-height: 40px;
        overflow: hidden;
        text-overflow: ellipsis;
        white-space: nowrap;
    }

    .client-evem {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 100%;
        height: 80px;
    }

    .client-evem a {
        display: flex;
        align-items: center;
        justify-content: center;
        width: 80px;
        height: 40px;
        font-size: 12px;
        text-align: center;
        border-radius: 10px;
        text-decoration: none;
        color: #000000;
        background-color: #ffffff;
    }
    .client-evem a:hover {
        color:  var(--primary-color);
    }
}